using System;


namespace Core.KCPTool
{

    public interface IServer:IDisposable
    {
        // public void AddCombatSynchronizeRequest(CombatSynchronizeRequest combatSynchronizeRequest);
        // public CombatSynchronizeRequest[] GetCombatSynchronizeRequest(bool isClear);
        // public bool SendToPlayer(SendDataType sendDataType, CombatSynchronizeType combatSynchronizeType, byte[] buffer, long playerId);
        public IServerConnection GetConnection(int connectionId);
        public IServerConnection GetConnection(long playerId);
        public void AddServerConnection(long playerId,int gameFrame, IServerConnection iServerConnection);
        public void RemoveServerConnection(long playerId);
        public void ConnectionUpdate();
    

    }
}